Skip to navigation

Delete permission profile

View as Markdown

This method deletes a permission profile from an account.

To delete a permission profile, it must not have any users associated with it. When you use this method to delete a permission profile, you can reassign the users associated with it to a new permission profile at the same time by using the move_users_to query parameter.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

permissionProfileIdstringRequired

The ID of the permission profile.

Use AccountPermissionProfiles: list to get a list of permission profiles and their IDs.

You can also download a CSV file of all permission profiles and their IDs from the Settings > Permission Profiles page of your eSignature account page.

Query parameters

move_users_tostringOptional

Response

Successful response.

Errors

400
Bad Request Error